from bs4 import BeautifulSoup
import requests

response = requests.get('http://www.kma.go.kr/weather/forecast/mid-term-rss3.jsp?stnId=109') # 서울 경기
weather = BeautifulSoup(response.text, "html.parser")

for location in weather.select('location'):
    print(location.city.text)
    print("="*10)
    for data in location.select('data'):
        print("시간:", data.tmef.text)
        print("날씨:", data.wf.text)
        print("최저:", data.tmn.text)
        print("최고:", data.tmx.text)
        print("신뢰도:", data.reliability.text)
        print()